Fabric Cloud Router套餐
先决条件
身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证。
获取所有 Fabric Cloud Router 软件包
要列出所有 Fabric Cloud Router 包,请向 /fabric/v4/routerPackages 端点发送 GET 请求。使用可选的查询参数可以控制分页。
| GET /fabric/v4/routerPackages | |
|---|---|
| Method | GET |
| URL or Endpoint | /fabric/v4/routerPackages |
| Headers | Authorization, Content-Type |
| Path Parameters | Not applicable |
| Query Parameters | offset, limit |
| Body Parameters | Not applicable |
示例 curl 请求:
curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
查询参数:
offset(optional) integer - Index of the first item returned in the response. Defaults to0.limit(optional) integer - Maximum number of items returned per page. Defaults to20.
示例响应:
{
"pagination": {
"offset": 0,
"limit": 20,
"total": 1
},
"data": [
{
"href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
"type": "ROUTER_PACKAGE",
"code": "STANDARD",
"description": "string",
"totalIPv4RoutesMax": 1000,
"totalIPv6RoutesMax": 100,
"routeFilterSupported": true,
"vcBandwidthMax": 10000,
"vcCountMax": 10,
"crCountMax": 3,
"changeLog": {
"createdDateTime": "2022-02-10T00:14:47Z",
"updatedDateTime": "2022-02-10T00:14:47Z"
}
}
]
}
获取指定Fabric Cloud Router包
要获取 Fabric Cloud Router 包的详细信息,请向 /fabric/v4/routerPackages/{routerPackageCode} 端点发送 GET 请求。
| GET /fabric/v4/routerPackages/{routerPackageCode} | |
|---|---|
| Method | GET |
| URL or Endpoint | /fabric/v4/routerPackages/{routerPackageCode} |
| Headers | Authorization, Content-Type |
| Path Parameters | routerPackageCode |
| Query Parameters | Not applicable |
| Body Parameters | Not applicable |
示例 curl 请求:
curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
路径参数:
routerPackageCode(required) string - Fabric Cloud Router package identifier. Applicable values:LAB,STANDARD,ADVANCED,PREMIUM.
示例响应:
{
"href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
"type": "ROUTER_PACKAGE",
"code": "STANDARD",
"description": "string",
"totalIPv4RoutesMax": 1000,
"totalIPv6RoutesMax": 100,
"routeFilterSupported": true,
"vcBandwidthMax": 10000,
"vcCountMax": 10,
"crCountMax": 3,
"changeLog": {
"createdDateTime": "2022-01-24T10:28:51.024Z",
"updatedDateTime": "2022-01-24T10:28:51.024Z"
}
}